> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trykintsugi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Exemption By Id

> The Get Exemption By ID API retrieves a specific exemption record by
    its unique ID. This API is useful for retrieving detailed information
    about a particular exemption, including its associated
    customer, organisation id, status, etc.



## OpenAPI

````yaml get /v1/exemptions/{exemption_id}
openapi: 3.0.0
info:
  title: Tax Platform
  version: 1.0.0
servers:
  - url: https://api.trykintsugi.com
    description: Production API server URL
security: []
paths:
  /v1/exemptions/{exemption_id}:
    get:
      tags:
        - Exemptions
      summary: Get Exemption By Id
      description: |-
        The Get Exemption By ID API retrieves a specific exemption record by
            its unique ID. This API is useful for retrieving detailed information
            about a particular exemption, including its associated
            customer, organisation id, status, etc.
      operationId: get_exemption_by_id_v1_exemptions__exemption_id__get
      parameters:
        - name: exemption_id
          in: path
          required: true
          schema:
            type: string
            description: The unique identifier for the exemption being retrieved.
            title: Exemption Id
          description: The unique identifier for the exemption being retrieved.
      responses:
        '200':
          description: Successfully retrieved exemption by id
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/backend__src__exemptions__models__ExemptionRead
              example:
                updated_at: '2025-01-11T14:36:51.305151'
                created_at: '2025-01-11T14:36:51.302033'
                jurisdiction: CA
                start_date: '2024-01-01'
                customer_id: cust_H5NTxERcncfEN
                sales_tax_id: ST
                id: exmp_vtWfyrER36irZ
                exemption_type: wholesale
                country_code: US
                end_date: '2025-01-01'
                reseller: true
                FEIN: random
                status: ACTIVE
                organization_id: orgn_argaLQwMy2fJc
        '404':
          description: Resource not found
          content:
            application/json:
              example:
                detail: >-
                  Exemption with id exmp_JqrwqvonUzdXS not found for
                  orgn_argaLQwMy2fJc
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: >-
            Validation issues, such as missing required fields or invalid field
            values.
          content:
            application/json:
              example:
                detail:
                  - type: missing
                    loc:
                      - header
                      - x-organization-id
                    msg: Field required
              schema:
                $ref: >-
                  #/components/schemas/backend__src__exemptions__responses__ValidationErrorResponse
        '500':
          description: Internal Server Error
          content:
            application/json:
              example:
                detail: An unexpected error occurred
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - APIKeyHeader: []
          CustomHeader: []
components:
  schemas:
    backend__src__exemptions__models__ExemptionRead:
      properties:
        exemption_type:
          $ref: '#/components/schemas/ExemptionType'
          description: The type of exemption (e.g., wholesale, resale)
        jurisdiction:
          description: The jurisdiction identifier for the exemption
          type: string
        country_code:
          $ref: '#/components/schemas/CountryCodeEnum'
          description: Country code in ISO 3166-1 alpha-2 format (e.g., 'US')
        start_date:
          type: string
          format: date
          title: Start Date
          description: Start date for the exemption validity period (YYYY-MM-DD format)
        end_date:
          description: End date for the exemption validity period (YYYY-MM-DD format)
          type: string
        customer_id:
          description: Unique identifier for the customer associated with the exemption
          type: string
        transaction_id:
          description: |-
            Unique identifier for the transaction
                    associated with the exemption, if applicable.
          type: string
        reseller:
          type: boolean
          title: Reseller
          description: Indicates whether the exemption is for a reseller
          default: false
        FEIN:
          description: |-
            Federal Employer Identification Number
                    associated with the exemption.
          type: string
        sales_tax_id:
          description: Sales tax ID for the exemption
          type: string
        status:
          $ref: '#/components/schemas/ExemptionStatus'
          description: |-
            The status of the exemption.
                    Defaults to ACTIVE if not provided.
        id:
          type: string
          title: Id
        customer_name:
          type: string
        attachment_id:
          type: string
      type: object
      required:
        - exemption_type
        - start_date
        - id
      title: ExemptionRead
    ErrorResponse:
      properties:
        detail:
          type: string
          title: Detail
          description: Error message
      type: object
      required:
        - detail
      title: ErrorResponse
    backend__src__exemptions__responses__ValidationErrorResponse:
      properties:
        detail:
          items:
            $ref: >-
              #/components/schemas/backend__src__exemptions__responses__ValidationErrorItem
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ValidationErrorResponse
    ExemptionType:
      type: string
      enum:
        - customer
        - wholesale
        - transaction
      title: ExemptionType
    CountryCodeEnum:
      type: string
      enum:
        - AF
        - AX
        - AL
        - DZ
        - AS
        - AD
        - AO
        - AI
        - AQ
        - AG
        - AR
        - AM
        - AW
        - AU
        - AT
        - AZ
        - BS
        - BH
        - BD
        - BB
        - BY
        - BE
        - BZ
        - BJ
        - BM
        - BT
        - BO
        - BQ
        - BA
        - BW
        - BV
        - BR
        - IO
        - BN
        - BG
        - BF
        - BI
        - CV
        - KH
        - CM
        - CA
        - KY
        - CF
        - TD
        - CL
        - CN
        - CX
        - CC
        - CO
        - KM
        - CG
        - CD
        - CK
        - CR
        - HR
        - CU
        - CW
        - CY
        - CZ
        - DK
        - DJ
        - DM
        - DO
        - EC
        - EG
        - SV
        - GQ
        - ER
        - EE
        - SZ
        - ET
        - FK
        - FO
        - FJ
        - FI
        - FR
        - GF
        - PF
        - TF
        - GA
        - GM
        - GE
        - DE
        - GH
        - GI
        - GR
        - GL
        - GD
        - GP
        - GU
        - GT
        - GG
        - GN
        - GW
        - GY
        - HT
        - HM
        - VA
        - HN
        - HK
        - HU
        - IS
        - IN
        - ID
        - IR
        - IQ
        - IE
        - IM
        - IL
        - IT
        - CI
        - JM
        - JP
        - JE
        - JO
        - KZ
        - KE
        - KI
        - KP
        - KR
        - KW
        - KG
        - LA
        - LV
        - LB
        - LS
        - LR
        - LY
        - LI
        - LT
        - LU
        - MO
        - MG
        - MW
        - MY
        - MV
        - ML
        - MT
        - MH
        - MQ
        - MR
        - MU
        - YT
        - MX
        - FM
        - MD
        - MC
        - MN
        - ME
        - MS
        - MA
        - MZ
        - MM
        - NA
        - NR
        - NP
        - NL
        - NC
        - NZ
        - NI
        - NE
        - NG
        - NU
        - NF
        - MK
        - MP
        - 'NO'
        - OM
        - PK
        - PW
        - PS
        - PA
        - PG
        - PY
        - PE
        - PH
        - PN
        - PL
        - PT
        - PR
        - QA
        - RE
        - RO
        - RU
        - RW
        - BL
        - SH
        - KN
        - LC
        - MF
        - PM
        - VC
        - WS
        - SM
        - ST
        - SA
        - SN
        - RS
        - SC
        - SL
        - SG
        - SX
        - SK
        - SI
        - SB
        - SO
        - ZA
        - GS
        - SS
        - ES
        - LK
        - SD
        - SR
        - SJ
        - SE
        - CH
        - SY
        - TW
        - TJ
        - TZ
        - TH
        - TL
        - TG
        - TK
        - TO
        - TT
        - TN
        - TR
        - TM
        - TC
        - TV
        - UG
        - UA
        - AE
        - GB
        - US
        - UM
        - UY
        - UZ
        - VU
        - VE
        - VN
        - VG
        - VI
        - WF
        - EH
        - YE
        - ZM
        - ZW
        - XK
        - ZZ_EU
      title: CountryCodeEnum
    ExemptionStatus:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
        - EXPIRED
        - DEACTIVATED
        - ARCHIVED
      title: ExemptionStatus
    backend__src__exemptions__responses__ValidationErrorItem:
      properties:
        type:
          type: string
          title: Type
          description: |-
            Validation issues, such as missing required
                                fields or invalid field values.
        loc:
          items:
            type: string
          type: array
          title: Loc
          description: Location of error
        msg:
          type: string
          title: Msg
          description: Error message
        input:
          title: Input
          description: Invalid input value
        ctx:
          additionalProperties: true
          type: object
          title: Ctx
          description: Additional context
      type: object
      required:
        - type
        - loc
        - msg
        - input
        - ctx
      title: ValidationErrorItem
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-KEY
    CustomHeader:
      type: apiKey
      in: header
      name: x-organization-id

````